Summary: Pretty Good Privacy (USA Version)
Name: pgp
Version: 2.6.3usa
Release: 3engsoc8k
Copyright: oodles..., see READMEs
Group: Utilities/Text
Source0: rsaref.tar.gz
Source1: pgp263is.tar.gz
Patch1: pgp-2.6.3usa-2-linux.patch
Patch2: pgp-2.6.3usa-alpha.patch
Patch3: pgp-2.6.3usa-rsaref.patch
Patch4: pgp-2.6.3usa-engsoc.patch
Patch5: pgp-2.6.3usa-engsoc8k.patch

%description
Pretty Good Privacy is public key encryption for the masses. It supports
keys up to 8192 bits, and is generally awesome. The de facto security
standard of today.

%prep
%setup -c -T
%setup -T -D -a 0
%setup -T -D -a 1
tar xvf pgp263ii.tar
%patch1 -p1
%patch2
%patch3
%patch4 -p1
%patch5 -p1

%build
chown -R root.root *
(cd rsaref/install/unix ; make)
cd src
make clean
%ifarch i386 i486 i586 i686 i786 i886
make linux
%endif
%ifarch alpha
gcc -I../rsaref/source -I../rsaref/test -DUSEMPILIB -DUSA -DUNIX \
-DLINUX -DIDEA32 -DPORTABLE -DMERRITT -c crypto.c -o crypto.o
make linux-alpha
%endif
%ifarch m68k
make linux-m68k
%endif
cd ..

(cd contrib/md5sum; make; cp readme README.md5sum)
(cd contrib/pgpsort; gcc pgpsort.c -o pgpsort)
(cd contrib/stealth; gcc stealth.c -o stealth; cp readme README.stealth)

%install
install -s -m755 src/pgp /usr/bin
install -s -m755 contrib/md5sum/md5sum /usr/bin
install -s -m755 contrib/pgpsort/pgpsort /usr/bin
install -s -m755 contrib/stealth/stealth /usr/bin
install -m644 doc/pgp.1 /usr/man/man1

if [ -d /var/lib/pgp ]; then 
   rm -rf /var/lib/pgp
fi
mkdir -p /var/lib/pgp

cp config.txt language.txt de.hlp en.hlp es.hlp fr.hlp pgp.hlp /var/lib/pgp

cd doc
cp pgpdoc1.txt pgpdoc2.txt /var/lib/pgp

cd ../rsaref
cp README README.rsaref

chmod a+r /var/lib/pgp/*

strip /usr/bin/pgp /usr/bin/md5sum /usr/bin/pgpsort /usr/bin/stealth

%files
%doc config.txt readme.1st readme.usa setup.doc
%doc doc/appnote.doc doc/changes.doc doc/keyserv.doc doc/mitlicen.txt
%doc doc/pgformat.doc doc/politic.doc doc/pgpdoc1.txt doc/pgpdoc2.txt
%doc contrib/md5sum/README.md5sum contrib/stealth/README.stealth
%doc rsaref/README.rsaref
/usr/bin/pgp
/usr/bin/md5sum
/usr/bin/pgpsort
/usr/bin/stealth
/usr/man/man1/pgp.1
%config /var/lib/pgp/config.txt
/var/lib/pgp/language.txt
/var/lib/pgp/de.hlp
/var/lib/pgp/en.hlp
/var/lib/pgp/es.hlp
/var/lib/pgp/fr.hlp
/var/lib/pgp/pgp.hlp
/var/lib/pgp/pgpdoc1.txt
/var/lib/pgp/pgpdoc2.txt
%dir /var/lib/pgp
